package edu.wpi.ejutr.logger;


public class LogMethodCall implements EJUTRLogEntry {

	private String instanceName;
	private String methodName;
	private String retType;
	private String paramSig;
	
	public LogMethodCall(String in, String mn, String ps, String rt) {
		instanceName = in;
		methodName = mn;
		retType = rt;
		paramSig = ps;
	}
	
	public String to_String() {		
		String ret = "";		
		ret += "// method call \n" + instanceName + "." + methodName + "(" + paramSig + ");\n"; 
		return ret;
	}

	public int getLogEntryType() {
		return EJUTRLogEntry.METHOD_INVOKATION;
	}

}
